package com.manage.service;

import com.manage.entity.Power_Menu;
import com.manage.entity.Power_User;
import com.manage.vo.PowerTree;
import com.manage.vo.Power_Sys_DictVo;
import com.manage.vo.Power_UserAndRoleTree;

import java.util.List;

/**
 * @ProjectName: power
 * @Package: com.manage.service
 * @ClassName: Power_Sys_DictService
 * @Description: java类作用描述
 * @Author: 曾文和
 * @CreateDate: 2019/4/16 15:11
 * @UpdateUser: 更新者
 * @UpdateDate: 2019/4/16 15:11
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
public interface PowerService {
    List<Power_Sys_DictVo> selectAllSys();

    List<Power_UserAndRoleTree> getUserPowerTree(String key);

    List<Power_UserAndRoleTree> getUserTreeByHospitalId(Integer hospitalId);

    List<Power_UserAndRoleTree> getUserTreeByDeptId(Integer deptId);

    List<Power_Menu> getMenuBySysIdAndRoleIdPowerTree(String sysFlag, Integer roleId);

    List<Power_Menu> getMethodByMenuIdPowerTree(Integer menuId);

    List<Power_UserAndRoleTree> getRolePowerTree(String key);

    void addRoleMenu(Integer roleId, String sysFlag, String menus);

    List<Power_Menu> getMenuBySysIdAndUerIdPowerTree(String sysFlag, Integer userId);

    void addUserMenu(Integer userId, String sysFlag, String menus);

    List<PowerTree> getRolePowerTreeBySysFlag(String sysFlag,Power_User user);

    List<PowerTree> getUserPowerTreeBySysFlag(String sysFlag, Power_User user);

    List<PowerTree> getDictPowerTree(String key);
}
